set aptsplash 0
set problem_dir 0
global GIDDEFAULT
cd $GIDDEFAULT
# WarnWinText $GIDDEFAULT

proc InitGIDProject { dir } {
    
#    Debuging_Comm
    
    global NumMenus MenuNames MenuEntries MenuCommands MenuAcceler
    global MenuNamesP MenuEntriesP MenuCommandsP
    global VersionNumber ProgramName ProblemTypePriv 
    global problem_dir
    global GidPriv
    global aptsplash
    global keepsplash

    set keepsplash 0

    set ProgramName [_ "GiD+Atena-Transport 2D and 3D Interface"] 
    set VersionRequired "7.7.2b"
    set problem_dir $dir
    set comp -1
    catch {
       set comp [GiDVersionCmp $VersionRequired]
    }
    if {$comp < 0 } {
       WarnWin "This interface requires GiD $VersionRequired or later"
       return
    }

    #Debuging_Utils.tcl
    foreach filename {MaximalMonitor_for_Surface.tcl MaximalMonitor_for_Volume.tcl TK_Utils.tcl Macroelement2.tcl TK_Utils_init_problemtypes.tcl} {
        uplevel #0 [list source  [file join $dir .. include.src.bas $filename]]
    }
    
    Splash $dir
    set aptsplash $dir
    Atena_Menu $dir

    MyPreBitmaps $dir 
    MyPostBitmaps $dir    
    set GidPriv(ProgName) $ProgramName
    ChangeWindowTitle  

    GidShowBook gendata GiD-Atena_Hidden_System_Data 0
    UpdateMenus
}


# Pre Toolbar
proc MyPreBitmaps { dir { type "DEFAULT INSIDELEFT"} } {
    global MyPreBitmapsNames MyPreBitmapsCommands MyPreBitmapsHelp ProgramName ProblemTypePriv

    set MyPreBitmapsNames(0) "../images/linka_stat.gif \
                              ../images/options.gif \
                              ../images/linka_stat.gif \
                              ../images/temperatura.gif \
                              ../images/show_mat.gif \
                              ../images/linka_stat.gif \                             
                              ../images/constraints.gif \
                              ../images/constraints_view.gif \
                              ../images/linka_stat.gif \                              
                              ../images/stopky.gif \
                              ../images/stopky_sipka.gif \
                              ../images/linka_stat.gif \                                  
                              ../images/calc_transport.gif \
                              ../images/linka_stat.gif \                                
                              ../images/logoV4-transport.gif"                              
              
    set MyPreBitmapsCommands(0) [list\
            "" [list -np- GidOpenProblemData Problem_Data] "" \
            [list -np- GidOpenMaterials SOLID_Concrete] \
            [list -np- GiD_Process Mescape Data Materials DrawMaterial -DrawAll-] "" \
            "Data Conditions CondWindow"\
            [list -np- GiD_Process MEscape Data Conditions DrawCond -DrawAll-] ""  \
            "Data IDataWindow" \
            [list -np- GiD_Process MEscape Data Intervals ChangeInterval] ""  \
            "Utilities Calculate"  "" \
            "-np- VisitWeb http://www.cervenka.cz/downloads"]
            
	    
    set MyPreBitmapsHelp(0) {
            "" "Define global Problem Data" ""  \
            "Define SOLID Concrete material" \
            "Draw all materials" ""  \
            "Define boundary conditions ... Loads & Supports" \
            "Draw all boundary conditions ... Loads & Supports" ""  \
            "Define interval solution parameters ... Interval Data" \
            "Go to interval number..." ""  \
            "Start ATENA transport analysis" ""  \
            "http://www.cervenka.cz/downloads" }
            	    

    set prefix Pre
    set ProblemTypePriv(pretoolbarwin) [CreateOtherBitmaps MyPreBar "Atena Pre-Processor toolbar" \
	    MyPreBitmapsNames MyPreBitmapsCommands \
	    MyPreBitmapsHelp $dir "MyPreBitmaps [list $dir]" $type $prefix]
    AddNewToolbar "$ProgramName prebar" ${prefix}MyBarWindowGeom "MyPreBitmaps [list $dir]"
}

# Post Toolbar
proc MyPostBitmaps { dir { type "DEFAULT INSIDELEFT"} } {
    global MyPostBitmapsNames MyPostBitmapsCommands MyPostBitmapsHelp ProgramName ProblemTypePriv

    set MyPostBitmapsNames(0) "../images/linka_stat.gif  \
                              ../images/options.gif \
                              ../images/importa2g.gif \
                              ../images/linka_stat.gif \
                              ../images/ReadGidResults.gif \
                              ../images/linka_stat.gif \
                              ../images/logoV4-transport.gif"

    set MyPostBitmapsCommands(0) [list\
            "" [list -np- OptionPost]\
            [list -np- InitA2G] "" \
            [list -np- ReadResults] "" \
            "-np- VisitWeb http://www.cervenka.cz/downloads" ]

    set MyPostBitmapsHelp(0) {
            "" "Define global Post Data" \
            "Import results from AtenaWIN" "" \
            "Read results from GiD" "" \
            "http://www.cervenka.cz/downloads" }

    set prefix Post
    set ProblemTypePriv(posttoolbarwin) [CreateOtherBitmaps MyPostBar "Atena Post-Processor toolbar" \
            MyPostBitmapsNames MyPostBitmapsCommands \
            MyPostBitmapsHelp $dir "MyPostBitmaps [list $dir]" $type $prefix]
    AddNewToolbar "$ProgramName postbar" ${prefix}MyBarWindowGeom "MyPostBitmaps [list $dir]"
}




